---
name: Bug report
about: Create a report to help us improve
---

<!--

Have you read Formidable's Code of Conduct? By filing an Issue, you are expected to comply with it, including treating everyone with respect: https://github.com/FormidableLabs/spectacle/blob/main/CONTRIBUTING.md#contributor-covenant-code-of-conduct

-->

### Prerequisites

**Feel free to delete this section if you have checked off all of the following.**

- [ ] I've searched open [issues](https://www.github.com/FormidableLabs/spectacle/issues) to make sure I'm not opening a duplicate issue
- [ ] I have read through the [docs](https://www.formidable.com/open-source/spectacle/docs) before asking a question
- [ ] I am using the latest version of Spectacle

### Describe Your Environment

What version of Spectacle are you using? (can be found by running `npm list spectacle`)

What version of React are you using? (can be found by running `npm list react`)

What browser are you using?

What machine are you on?

### Describe the Problem

It's easier to show us than tell us what's going wrong with your code. Because of this, we ask that you do one of three things to help us reproduce the bug:

1.  Create a public minimal repository that we can `git clone`, with install + error reproduction steps in the README.
2.  Fork our [simple Spectacle sample Sandbox](https://codesandbox.io/s/simple-spectacle-example-3jebu), reproduce your issue in the code, and paste the link here.
3.  Open up a PR, include "WIP" and the Issue # in the title, and point us to the failing regression tests.

**Expected behavior:** [What you expect to happen]

**Actual behavior:** [What actually happens]

### Additional Information

Any additional information, configuration or data that might be necessary to reproduce the issue.
